class WatchVideoHistoriesController < ApplicationController
  before_action :require_login

  def create
    watch_log = CreateWatchVideoService.new(current_user, request, params).call
    render_ok(log_id: watch_log&.id)
  rescue CreateWatchVideoService::Error => ex
    render_ok(log_id: watch_log&.id)
  end
end
